curl --request PUT \
--url https://api.lindo.ai/v1/workspace/website/{website_id}/products/{product_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Website audit",
"description": "A detailed website performance and SEO audit",
"type": "fixed",
"price": 49.99,
"currency": "USD",
"interval": "month",
"link_url": "https://example.com/thank-you",
"file_url": "",
"instruction": "We will contact you within one business day.",
"trial": 0,
"features": [
"discount",
"phone",
"address",
"quantity"
],
"client_limit": 0
}
'import requests
url = "https://api.lindo.ai/v1/workspace/website/{website_id}/products/{product_id}"
payload = {
"name": "Website audit",
"description": "A detailed website performance and SEO audit",
"type": "fixed",
"price": 49.99,
"currency": "USD",
"interval": "month",
"link_url": "https://example.com/thank-you",
"file_url": "",
"instruction": "We will contact you within one business day.",
"trial": 0,
"features": ["discount", "phone", "address", "quantity"],
"client_limit": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Website audit',
description: 'A detailed website performance and SEO audit',
type: 'fixed',
price: 49.99,
currency: 'USD',
interval: 'month',
link_url: 'https://example.com/thank-you',
file_url: '',
instruction: 'We will contact you within one business day.',
trial: 0,
features: ['discount', 'phone', 'address', 'quantity'],
client_limit: 0
})
};
fetch('https://api.lindo.ai/v1/workspace/website/{website_id}/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "prod_abc123",
"name": "<string>",
"description": "<string>",
"active": true,
"default_price": {
"id": "<string>",
"currency": "<string>",
"unit_amount": 123,
"recurring": {
"interval": "<string>",
"interval_count": 123
}
},
"metadata": {},
"images": [
"<string>"
],
"created": 123
}
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}{
"success": false,
"errors": [
"Client already exists"
],
"message": "Validation failed"
}Update a website product
Replaces the editable product fields and creates a new default price when pricing changes.
Authorizations
Enter your API key (starts with lindo_sk_)
Path Parameters
Unique identifier of the website
"webAbc1234567890123"
Stripe product identifier
"prod_abc123"
Body
1 - 250"Website audit"
Product billing type
fixed, subscription, free "fixed"
5000"A detailed website performance and SEO audit"
Price in major currency units (for example, 49.99)
x >= 049.99
3"USD"
Billing interval for subscription products
month, week, year "month"
Optional URL to open after purchase
"https://example.com/thank-you"
Optional downloadable file URL
"https://cdn.example.com/audit.pdf"
Post-purchase instructions
5000"We will contact you within one business day."
Trial length in days for a subscription
x >= 07
Checkout options enabled for this product
4Checkout option: discount allows promotion codes; phone collects a phone number; address collects a shipping address; quantity lets the customer adjust quantity.
discount, phone, address, quantity ["discount", "phone", "address", "quantity"]
x >= 00
Was this page helpful?

